Package biotransformer.utils

## Class ChemSearcher

- java.lang.Object
- - biotransformer.utils.ChemSearcher

    public class ChemSearcher
    extends java.lang.Object

### Constructor Summary

Constructors
`ChemSearcher()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.LinkedHashMap<java.lang.String,​java.util.List<java.util.List<java.lang.Integer>>>` `generateCustomBoMFingeprint​(org.openscience.cdk.interfaces.IAtomContainer atc, java.util.LinkedHashMap<java.lang.String,​java.lang.String> patterns, org.openscience.cdk.interfaces.IChemObjectBuilder builder)`
`static java.util.LinkedHashMap<java.lang.String,​java.lang.String>` `getCustomAtomFingerprintPatterns()`
`static java.util.LinkedHashMap<java.lang.String,​java.lang.String>` `getCustomBoMFingerprintPatterns()`
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChemSearcher

    public ChemSearcher()

### Method Detail

#### getCustomAtomFingerprintPatterns

    public static java.util.LinkedHashMap<java.lang.String,​java.lang.String> getCustomAtomFingerprintPatterns()
                                                                                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getCustomBoMFingerprintPatterns

    public static java.util.LinkedHashMap<java.lang.String,​java.lang.String> getCustomBoMFingerprintPatterns()
                                                                                                            throws java.lang.Exception

Returns:
  : A HashMap with the SMARTS expressions for functional groups and structural patterns
Throws:
  `java.lang.Exception`

#### generateCustomBoMFingeprint

    public java.util.LinkedHashMap<java.lang.String,​java.util.List<java.util.List<java.lang.Integer>>> generateCustomBoMFingeprint​(org.openscience.cdk.interfaces.IAtomContainer atc,
                                                                                                                                         java.util.LinkedHashMap<java.lang.String,​java.lang.String> patterns,
                                                                                                                                         org.openscience.cdk.interfaces.IChemObjectBuilder builder)
                                                                                                                                  throws org.openscience.cdk.exception.CDKException

Throws:
  `org.openscience.cdk.exception.CDKException`

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`